import { throttle } from 'lodash';
var PointListener = /** @class */ (function () {
    function PointListener(cPo) {
        var _this = this;
        this._onMove = throttle(function () {
            var cPo = _this._cPo;
            console.log('鼠标行为跟踪', {
                target: cPo.target,
                camera: cPo.camera.position
            });
            cPo.target;
        }, 1000);
        this._cPo = cPo;
        cPo.on('move', this._onMove);
    }
    return PointListener;
}());
export default PointListener;
